<?
include('cfg.php');
echo '<link rel="stylesheet" type="text/css" href="style.css"/><div class="head">['.$user[login].']</div><div class="money">';

switch($_GET[a])
	{
    default:
	echo '<b>';
	echo '<center>'.$iband.'</center><center>Окестности мира</center></b></div>';
	echo '<a class="razd" href="?a=bandit">Бандитские лагеря</a>';
	echo '<a class="razd" href="?a=castles">Замки</a>';
	break;
	
	
	
	case 'castles':
	$sql_c = mysql_query("SELECT * FROM `castles`");
	while($r = mysql_fetch_array($sql_c))
		{
		echo '';
		echo '<img src="./img_castle/'.$r['id'].'.png" alt=*  style="float:left; padding:3px">';
		echo '<a href="./castles.php?a=view&amp;id='.$r['id'].'"><b>'.$r['title'].'</b></a><br />';
		if ($r['owner_clan']=='0') echo 'Нет владельца';
		if ($r['owner_clan']!='0') 
				{
				$title_owner = mysql_fetch_array(mysql_query("SELECT `title` FROM `clan` WHERE `id`='".$r['owner_clan']."'"));
				echo $title_owner['title'];
				}
		echo ' <div style="clear: center"></div></div><div class="money">';
		}
		$count_clans = mysql_result(mysql_query("SELECT count(id) FROM `clan`"),0);
		echo 'Кланов: <b>'.$count_clans.'</b>';
	echo '</div><a class="razd" href="./other_world.php">Окрестности</a>';
	break;
	
	
	//прсомотр лагерей
	case 'bandit':
	if ($user['clan']!='0') echo 'Незахваченые лагеря: </div>'; else echo 'Вы должны состоять в клане, чтобы атаковать лагеря</div>';
	$sql = mysql_query("SELECT * FROM `band`");
	while($res = mysql_Fetch_assoc($sql))
		{
		echo '<div class="money">';
				echo '<img src="./img/Capture.png" alt=*  style="float:left; padding:3px">';

		echo $res['title'].'<br />Пехотинцев: '.$res['solders'].'<br />
		Ковалерия: '.$res['horses'].'<br />Стрелков: '.$res['archers'].'';
		if ($res['last_attack']=='0') echo '<br /><b>Еще не было атаковано</b>'; 
		if ($res['last_attack']!= '0' AND $res['defeat_clan']=='0')
				{
				if (intval($time-$res['last_attack']) < (60*60) AND intval($time-$res['last_attack']) > 60) echo '<br /><b>Последний раз менее часа назад</b>';
				if (intval($time-$res['last_attack']) < 60) echo '<br /><b>Последний раз атаковано только что</b>';
				if (intval(($time-$res['last_attack'])/3600) >= '1') echo '<br /><b>Последний раз атаковано '.intval(($time-$res['last_attack'])/3600).' час. назад</b>';
				}
		if ($res['last_attack']!='0' AND $res['defeat_clan']!='0') 
			{
			$name_clan = mysql_fetch_array(mysql_query("SELECT `title` FROM `clan` WHERE `id`='".$res['defeat_clan']."'"));
			echo '<br /><b>Захвачено кланом: '.$name_clan['title'].'</b>';
			}
		echo '</div>';
		if ($user['clan'] != '0' AND $res['defeat_clan']=='0')
			{
			echo '<a class="razd" href="?a=attack_camp&amp;id='.$res['id'].'">Атаковать!</a>';
			}
		
		}
    break;
	
	//Атака лагеря
	case 'attack_camp':
	$l = mysql_fetch_array(mysql_query("SELECT * FROM `band` WHERE `id`='".intval(abs($_GET['id']))."'"));
	$c = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."'"));
	if (!empty($l['id']) AND $user['clan'] != '0')
		{
		if (intval($_GET['accept'])=='1')
			{
			$error = '';
			if ($c['solders']=='0' AND $c['horses']=='0' AND $c['archers']=='0') $error .= 'У вашего клана нет армии<br />';
			$clan_today_defeat = mysql_result(mysql_query("SELECT count(id) FROM `band` WHERE `defeat_clan`='".$c['id']."'"),0);
			if ($clan_today_defeat >= '2') $error .= 'Вы не можете атаковать более 2 лагерей в день<br />';
			if (($c['laast_camp']+60*60) > $time) $error .= 'Атака возможна не чаще одного раза в час<br />';
			if ($l['defeat_clan'] != '0') $error .= 'Лагерь уже разбит<br />';
			
			$solders=intval(abs($c['solders']));
			$horses=intval(abs($c['horses']));
			$archers=intval(abs($c['archers']));
			$total=$solders+$horses+$archers;
			if($error == '')
			{
				//отнимаем от игрока солдаты
				mysql_query("UPDATE `clan` SET solders=solders-'$solders',
											   horses=horses-'$horses',
											   archers=archers-'$archers'
											   WHERE id='$c[id]'");
				//в "бой" заносим параметры атакующего(u1-3, u_id=$id и защищающегося e_ - префикс
				mysql_query("
				INSERT INTO `fight` (`id` ,
	`u1` ,
	`u2` ,
	`u3` ,
	`e1` ,
	`e2` ,
	`e3` ,
	`u_id` ,
	`e_id`
	)
	VALUES (NULL , '$solders', '$horses', '$archers', '$l[solders]', '$l[horses]', '$l[archers]', '0', '0'
	)
				");
				// получаем айди битвы
				$recive_id=mysql_insert_id();
				//подключаем файл мега супер пупер автоматизированый который можно сказать сделает всё за вас)
				$a_general_force = 1+($c['general_force']/10);
				include('fight.php');
				//в том файле $new_fight - это наша битва, а точнее итог остачь войск
				//делаем подсчёты сколько всего негров осталось у атакуюещего(id) и защищающегося (кого выбиваем)
				$total_a=$new_fight['u1']+$new_fight['u2']+$new_fight['u3'];
				$total_d=$new_fight['e1']+$new_fight['e2']+$new_fight['e3'];
				//ну дальше бла бла бла, прочая хрень, в том числе и решение итога - какая сука убилась об стенку))))
				$next_strike=$time+60*60;
				// echo $total_a.' '.$total_d.'<br />';
				if($total_a >= 0 && $total_d <= 0)
				{
				
				
				$isset_ach = mysql_result(mysql_query("SELECT count(`id`) FROM `achieve` WHERE `num`='13' AND `user`='$id'"),0);
				if ($isset_ach == '0')
					{
					mysql_query("INSERT INTO `achieve` SET `num`='13',`count`='1',`user`='$id';");
					} else 
						  {
						  mysql_query("UPDATE `achieve` SET `count`=count+'1' WHERE `num`='13' AND `user`='$id'");
						  }
				
				
					//выбили
					mysql_query("UPDATE `band` SET `defeat_clan`='$c[id]',`last_attack`='$time',`solders`='0',`archers`='0',`horses`='0' WHERE `id`='".$l['id']."'");
					mysql_query("UPDATE `clan` SET
											  `trof`=trof+'$l[money]',
											  solders=solders+'$new_fight[u1]',
											  horses=horses+'$new_fight[u2]',
											  archers=archers+'$new_fight[u3]',
											  `camps`=camps+'1',
											  `laast_camp`='".intval($time+60*60)."' WHERE `id`='$c[id]'");
					$members = mysql_result(mysql_query("SELECT count(id) FROM `users` WHERE `clan`='$c[id]'"),0);
					$dif = intval($l[money]/1000);
					$rabov = intval($dif*35);
					$rabov_to_user = round($rabov/$members);
					
					mysql_query("UPDATE `users` SET `workers`=workers+'$rabov_to_user' WHERE `clan`='$c[id]'");
					
					$sql_rab = mysql_query("SELECT `login`,`id`,`clan` FROM `users` WHERE `clan`='$c[id]'");
					while($rab_sql_res = mysql_fetch_assoc($sql_rab))
						{
					$text='+'.$rabov_to_user.' рабочих';
					send_mess($rab_sql_res['login'],$text,"Система",'');
					
					$text2='После уничтожения лагеря '.$l['title'].', ваш клан захватил '.$rabov.' рабочих. Каждому члену клана было отправлено '.$rabov_to_user.' рабочих.';
					send_mess($rab_sql_res['login'],$text2,"$c[title]",'');
						}

					$slost=$solders-$new_fight[u1];
					$hlost=$horses-$new_fight[u2];
					$alost=$archers-$new_fight[u3];
					
					echo 'Вы уничтожили врага!<br /> Потери:<br />
					<b>'.$slost.'</b> пехотинцев, <b>'.$hlost.'</b> кавалеристов, <b>'.$alost.'</b> стрелков
					<br />Награбленные деньги ('.$l[money].') вы можете найти в трофеях клана';

				}
				elseif($total_a <= 0 && $total_d > 0)
				{
					//ничего не сделали



					$slost=$l['solders']-$new_fight[e1];
					if($slost < 0)
					{
					$slost=0;
					}
					$hlost=$l['horses']-$new_fight[e2];
					if($hlost < 0)
					{
					$hlost=0;
					}
					$alost=$l['archers']-$new_fight[e3];
					if($alost < 0)
					{
					$alost=0;
					}
					mysql_query("UPDATE `band` SET `solders`=solders-'$slost',
													`horses`=horses-'$hlost',
													`last_attack`='$time',
														 `archers`=archers-'$alost' WHERE `id`='$l[id]'");
					mysql_query("UPDATE clan SET
											  solders=solders-'$new_fight[u1]',
											  horses=horses-'$new_fight[u2]',
											  `laast_camp`='".intval($time+60*60)."',
											  archers=archers-'$new_fight[u3]' WHERE id='$c[id]'");
					echo 'Вы не смогли уничтожить врага!<br /> Потери противника:<br />
					<b>'.$slost.'</b> пехотинцев, <b>'.$hlost.'</b> кавалеристов, <b>'.$alost.'</b> стрелков
					';
				}

				else
				{
					//ничья
					$slost=$l['solders']-$new_fight[e1];
					if($slost < 0)
					{
					$slost=0;
					}
					$hlost=$l['horses']-$new_fight[e2];
					if($hlost < 0)
					{
					$hlost=0;
					}
					$alost=$l['archers']-$new_fight[e3];
					if($alost < 0)
					{
					$alost=0;
					}
					mysql_query("UPDATE band SET
								solders=solders-'$slost',
								horses=horses-'$hlost',
								`last_attack`='$time',
								archers=archers-'$alost' WHERE id='$l[id]'");
							
					echo 'Вы не смогли уничтожить врага!<br />Потери противника:<br />
					<b>'.$slost.'</b> пехотинцев, <b>'.$hlost.'</b> кавалеристов, <b>'.$alost.'</b> стрелков
					';
				}

			}
			else
			{
				echo $error;
			}
			
			
			
			
			
			
			
			
			
			
			} else {
		echo 'Лагерь <b>'.$l['title'].'</b>';
		
		echo '<br />Войска вашего клана: <br />
		Пехотинцы: '.$c['solders'].'<br />
		Ковалерия: '.$c['horses'].'<br />
		Стрелки: '.$c['archers'].'</div><div class="money">
		Войска противника: <br />
		Пехотинцы: '.$l['solders'].'<br />
		Ковалерия: '.$l['horses'].'<br />
		Стрелки: '.$l['archers'].'</div><div class="money">
		<a href="?a=attack_camp&amp;id='.$l[id].'&amp;accept=1">В бой</a>
		';
					}
		} else header("Location: other_world.php");
	break;
	}

echo '
</div>
<div class="info">Меню</div>
<a class="razd" href="game.php">'.$iback.' Назад</a>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
<div class="footer"><center>
<script type="text/javascript" src="http://mobtop.ru/c/73888.js"></script><noscript><a href="http://mobtop.ru/in/73888"><img src="http://mobtop.ru/73888.gif" alt="MobTop.Ru - Рейтинг и статистика мобильных сайтов"/></a></noscript>
</div>
</body></html>
';


?>